ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

o

org.bdgenomics.adam.models

# ReadGroupDictionary 

###
Companion class ReadGroupDictionary

#### object ReadGroupDictionary extends Serializable

Singleton object for creating dictionaries of read groups.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReadGroupDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def empty: ReadGroupDictionary

   returns

     Returns a read group dictionary that contains no read groups.

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def fromSAMHeader(header: SAMFileHeader): ReadGroupDictionary

   Builds a read group dictionary from a SAM file header.

   Builds a read group dictionary from a SAM file header.

   header

     SAM file header with attached read groups.

   returns

     Returns a new read group dictionary with the read groups attached to the file header.

10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped